curl --location --request POST 'https://api.stateset.com/v1/orders/:id/remove-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemoveDiscountMutation {
orderRemoveDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemoveDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_removed": true
}
Remove Discount
This endpoint removes a discount from an order.
POST
/
v1
/
orders
/
:id
/
remove-discount
curl --location --request POST 'https://api.stateset.com/v1/orders/:id/remove-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemoveDiscountMutation {
orderRemoveDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemoveDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_removed": true
}
Body
string
The ID provided in the data tab may be used to identify the order
Response
string
The ID provided in the data tab may be used to identify the order
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request POST 'https://api.stateset.com/v1/orders/:id/remove-discount' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderRemoveDiscountMutation {
orderRemoveDiscount(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->removeDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.RemoveDiscount({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"discount_removed": true
}
โI